Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Interface PolicySetManager

All Known Implementing Classes:
  ORBPolicyManagerImpl

public interface PolicySetManager

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:06 $
Author:
  Chris Wood

Field Summary
`static int` | `CLIENT_POLICY_DOMAIN` ???
`static int` | `GLOBAL_POLICY_DOMAIN` ???
`static int` | `SERVER_POLICY_DOMAIN` ???

Method Summary
`void` | `add_invalid_policy_type(int policy_domain, int policy_type)` Add an invalid policy type to a policy domain.
`int` | `add_policy_domain()` Add a new policy domain.
`PolicyManagerOperations` | `create_policy_set()` Create a new policy set with no membership restrictions.
`PolicyManagerOperations` | `create_policy_set(int policy_domain)` This operation creates new policy set objects.

Field Detail

### GLOBAL_POLICY_DOMAIN

    public static final int GLOBAL_POLICY_DOMAIN

  ???

### CLIENT_POLICY_DOMAIN

    public static final int CLIENT_POLICY_DOMAIN

  ???

### SERVER_POLICY_DOMAIN

    public static final int SERVER_POLICY_DOMAIN

  ???

Method Detail

### create_policy_set

    public PolicyManagerOperations create_policy_set()

  Create a new policy set with no membership restrictions.

### create_policy_set

    public PolicyManagerOperations create_policy_set(int policy_domain)

  This operation creates new policy set objects. To create a policy set which excludes certain policy types use this method.

### add_invalid_policy_type

    public void add_invalid_policy_type(int policy_domain,
                                        int policy_type)

  Add an invalid policy type to a policy domain.

### add_policy_domain

    public int add_policy_domain()

  Add a new policy domain. A policy domain excludes certain policy types, attempting to set override policies of that type results in InvalidPolicies exceptions.
  Returns:
    new policy domain id.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD